<ng-container *ngIf="items.length != 0">
  <div class="container">
    <div class="card-table">
      <div class="cart-product">
        <table class="table table-responsive">
          <thead>
            <tr>
              <th>Sr.No</th>
              <th>Product Name</th>
              <th>Product Image</th>
              <th>Category</th>
              <th>Price</th>
              <th>Quantity</th>
              <th>Total</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of items; let i = index">
              <td>{{ i + 1 }}</td>
              <td>{{ item.title }}</td>
              <td>
                <img style="width: 120px" src="{{ item.image }}" alt="title-image" />
              </td>
              <td class="description" style="width: 15%">{{ item.category }}</td>
              <th style="width: 12%">$ {{ item.price }}/-</th>
              <td style="width: 12%">{{ item.quantity }}</td>
              <td style="width: 12%">{{ item.total }}</td>
              <td>
                <button (click)="removeItem(item)" class="btn btn-danger">
                  <i class="fas fa-trash-alt"></i>
                </button>
              </td>
            </tr>
            <tr>
              <td colspan="4"></td>
              <td>
                <button (click)="emptycart()" class="btn btn-danger">
                  Empty Cart
                </button>
              </td>
              <td>
                <button routerLink="/products" class="btn btn-primary">
                  Shop More
                </button>
              </td>
              <td><button class="btn btn-success">Checkout</button></td>
              <td>
                <strong>Grand Total : $ {{ grandTotal }}</strong>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</ng-container>

<ng-container *ngIf="items.length == 0">  
  <div class="cart">
    <div class="card">
      <h5 class="card-title">My Cart</h5>
    </div>
    <div class="center">
      <img
        src="https://rukminim1.flixcart.com/www/800/800/promos/16/05/2019/d438a32e-765a-4d8b-b4a6-520b560971e8.png?q=90"
        alt="" />
      <h4>Your cart is empty!</h4>
      <h6>Add item to it now</h6>
      <button routerLink="/products" class="btn btn-primary">Shop Now</button>
    </div>
  </div>
</ng-container>